<template lang="pug">
	div.Card--wrapper
		div(:class="{ Card__muted: muted }").Card
			slot
</template>

<script>
import Vue from 'vue';

export default Vue.extend({
	props: {
		title: {
			type: String,
			default: null,
			required: false,
		},
		muted: {
			type: Boolean,
			default: false,
			required: false,
		},
	},
});
</script>

<style lang="scss" scoped>
@import "@/assets/style/_colors.scss";

.Card--wrapper {
	padding: 8px;
}

.Card {
	border-radius: 4px;
	box-shadow: 1px 1px 6px rgba(12, 12, 13, 0.2);
	padding: 16px;
	color: $txt-color;
	background-color: $bg-color;
	width: 100%;
}

.Card__muted {
	color: $muted-txt-color;
	background-color: $muted-bg-color;
}

</style>
